This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429838 - Files /etc/profile.d/*.csh are not processed to build environment for non-login tcsh
Files /etc/profile.d/*.csh are not processed to build environment for non-log...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 06:49 EST by Alexandre Silva Lopes
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 11:02:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Silva Lopes 2008-01-23 06:49:23 EST
Description of problem:
If you setup /bin/tcsh as your shell, the files /etc/profile.d/*.csh are not
processed to build the environment for non-login shell, i.e. for a gnome
terminal. As a consequence, settings in /etc/sysconfig/i18m are not applied, the
terminal is not considered color capable and you do not get syntax highlighting
in vim, etc.


Version-Release number of selected component (if applicable): 2.6.10-1.fc8


How reproducible: always


Steps to Reproduce:
1. Set /bin/tcsh as youe shell - chsh -s /bin/tcsh.
2. Logout and login again.
3. Open a gnome-terminal.
  
Actual results:
Files /etc/profile.d/*.csh are not processed to setup the environment. For
instance: "alias l." returns nothing.


Expected results:
Files /etc/profile.d/*.csh should be processed to setup the environment. For
instance: "alias l." should return "ls -d .* --color=tty", as defined in
/etc/profile.d/colorls.csh.


Additional info:
Files /etc/profile.d/*.csh where previously (until Fedora 7) processed by
/etc/csh.cshrc, but are now processed by /etc/csh.login, which results in the
described behavior.
Comment 1 Phil Knirsch 2008-02-22 11:02:52 EST
Will be fixed in next setup package. /etc/profile.d/*.csh scripts will now be
executed from /etc/cshrc again if it isn't a login shell (otherwise they would
be called twice for login shells).

Read ya, Phil
Comment 2 Orion Poplawski 2008-06-25 18:34:59 EDT
It would be nice if an update fixing this in F8 was released.

Note You need to log in before you can comment on or make changes to this bug.